Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1201530 - Lenovo IdeaPad S405 (Radeon HD 7400G) needs acpi_backlight=vendor to be able to manage backlight level using the keyboard
Summary: Lenovo IdeaPad S405 (Radeon HD 7400G) needs acpi_backlight=vendor to be able ...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: http://forum.fedoraonline.it/viewtopi...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-12 22:11 UTC by Germano Massullo
Modified: 2015-10-21 13:57 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-21 11:47:49 UTC
Type: Bug


Attachments (Terms of Use)
logs (25.08 KB, application/x-7z-compressed)
2015-03-12 22:12 UTC, Germano Massullo
no flags Details

Description Germano Massullo 2015-03-12 22:11:48 UTC
Description of problem:
Lenovo IdeaPad S405 laptop has troubles in changing backlight level using keyboard FN buttons.
I followed the Hans De Goede's guide to retrieve debug infos
http://hansdegoede.livejournal.com/13889.html

The kernel boot flag
acpi_backlight=vendor
solves the problem.

I attach a compressed file with
- dmesg
- grep '.*' /sys/class/dmi/id/*_* 2> /dev/null > dmi.log
of all of the following kernel boot flag that have been tried
- video.use_native_backlight=1
- acpi_backlight=vendor
- acpi_osi="!Windows 2012"
- acpi_osi="!Windows 2009"

Version-Release number of selected component (if applicable):
3.18.7-200.fc21.x86_64


Additional info:
$ lspci -k | grep -iA 3 vga
00:01.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Trinity [Radeon HD 7400G]
	Subsystem: Lenovo Device 3902
	Kernel driver in use: radeon
	Kernel modules: radeon

# ls /sys/class/backlight
radeon_bl0

Comment 1 Germano Massullo 2015-03-12 22:12:52 UTC
Created attachment 1001217 [details]
logs

Comment 2 Hans de Goede 2015-03-16 10:55:02 UTC
Hi Germano,

What does:

ls /sys/class/backlight

Give as output without the acpi_backlight=vendor flag ?

Thanks,

Hans

Comment 3 Germano Massullo 2015-03-16 10:57:51 UTC
(In reply to Hans de Goede from comment #2)
> Hi Germano,
> 
> What does:
> 
> ls /sys/class/backlight
> 
> Give as output without the acpi_backlight=vendor flag ?
> 
> Thanks,
> 
> Hans

radeon_bl0

Comment 4 Fedora Kernel Team 2015-04-28 18:33:24 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 21 kernel bugs.

Fedora 21 has now been rebased to 3.19.5-200.fc21.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 22, and are still experiencing this issue, please change the version to Fedora 22.

If you experience different issues, please open a new bug report for those.

Comment 5 Germano Massullo 2015-09-05 21:44:20 UTC
(In reply to Fedora Kernel Team from comment #4)
> *********** MASS BUG UPDATE **************
> 
> We apologize for the inconvenience.  There is a large number of bugs to go
> through and several of them have gone stale.  Due to this, we are doing a
> mass bug update across all of the Fedora 21 kernel bugs.
> 
> Fedora 21 has now been rebased to 3.19.5-200.fc21.  Please test this kernel
> update (or newer) and let us know if you issue has been resolved or if it is
> still present with the newer kernel.
> 
> If you have moved on to Fedora 22, and are still experiencing this issue,
> please change the version to Fedora 22.
> 
> If you experience different issues, please open a new bug report for those.

I can't do the test because I no longer use that machine

Comment 6 Germano Massullo 2015-10-05 20:30:26 UTC
Confirming the bug on 4.1.8-200.fc22.x86_64

Comment 7 Justin M. Forbes 2015-10-20 19:36:26 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.

Comment 8 Hans de Goede 2015-10-21 11:47:49 UTC
Hi,

(In reply to Germano Massullo from comment #6)
> Confirming the bug on 4.1.8-200.fc22.x86_64

Thanks for confirming this, I've send a patch upstream to add a quirk for this model to force using of the native radeon_bl0 interface. I've added a Cc: stable, since you do not always have access to this machine for testing, I'm going to close this bug, letting the fix trickle down to Fedora kernels via the stable tree.

Regards,

Hans

Comment 9 Germano Massullo 2015-10-21 13:57:56 UTC
(In reply to Hans de Goede from comment #8)I've added a
> Cc: stable, since you do not always have access to this machine for testing,
Correct, but I managed to contact the machine onwer and he told me that he is fully available to run any needed test.

Regards


Note You need to log in before you can comment on or make changes to this bug.